# $Revision: 1.36 $, $Date: 2007-02-12 21:23:55 $
Summary:	Enterprise Volume Management System utilities
Summary(pl.UTF-8):	Narzędzia do Enterprise Volume Management System
Name:		evms
Version:	2.5.5
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/evms/%{name}-%{version}.tar.gz
# Source0-md5:	45b463f0cbade194dc0a08be432b572e
Patch0:		%{name}-link.patch
URL:		http://evms.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	glibc-static
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-ext-devel
Conflicts:	kernel < 2.4.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libdir		/%{_lib}

%description
This package contains the user-space tools needed to manage EVMS
(Enterprise Volume Management System) volumes.

In order to use these user-space tools, you must also have your kernel
patched with the most recent EVMS code.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia potrzebne do zarządzania wolumenami
dyskowymi EVMS (Enterprise Volume Management System).

Aby używać tych narzędzi, musisz mieć jądro z odpowiednio nową łatą
EVMS.

%package devel
Summary:	Header files for EVMS
Summary(es.UTF-8):	Arquivos de cabeçalho e bibliotecas de desenvolvimento para EVMS
Summary(pl.UTF-8):	Pliki nagłówkowe dla EVMS
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para a EVMS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for EVMS.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla EVMS.

%package static
Summary:	Static EVMS library
Summary(es.UTF-8):	Biblioteca estática usada no desenvolvimento de aplicativos com EVMS
Summary(pl.UTF-8):	Statyczna biblioteka EVMS
Summary(pt_BR.UTF-8):	Biblioteca estática de desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static EVMS library.

%description static -l pl.UTF-8
Statyczna biblioteka EVMS.

%package ncurses
Summary:	Ncurses interface for EVMS
Summary(pl.UTF-8):	Interfejs użytkownika w ncurses dla EVMS
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description ncurses
Ncurses interface for EVMS.

%description ncurses -l pl.UTF-8
Graficzny interfejs użytkownika w ncurses dla EVMS.

%package X11
Summary:	GUI interface for EVMS
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla EVMS
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description X11
GUI interface for EVMS.

%description X11 -l pl.UTF-8
Graficzny interfejs użytkownika dla EVMS.

%prep
%setup -q
%patch0 -p1

head -n 1420 aclocal.m4 > acinclude.m4

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}

%configure

%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/evms.conf $RPM_BUILD_ROOT%{_sysconfdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog INSTALL* PLUGIN* TERMINOLOGY
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/evms.conf
%attr(755,root,root) %{_sbindir}/evms*
%exclude %{_sbindir}/evmsn
%exclude %{_sbindir}/evmsgui
%dir %{_libdir}/evms
%dir %{_libdir}/evms/%{version}
%attr(755,root,root) %{_libdir}/evms/%{version}/*.so
%attr(755,root,root) %{_libdir}/libevms-*.so.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevms.so
%{_includedir}/evms

%files static
%defattr(644,root,root,755)
%{_libdir}/libevms.a

%files ncurses
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/evmsn

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/evmsgui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evms.spec,v $
Revision 1.36  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.34  2006/03/05 00:34:11  qboosh
- updated to 2.5.5

Revision 1.33  2006/02/11 14:23:31  qboosh
- updated to 2.5.4

Revision 1.32  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.31  2005/11/02 22:07:11  tommat
- version 2.5.3
- use gettext
- tried full regeneration, dunno if proper way but builds

Revision 1.30  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.29  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.28  2004/06/16 21:23:41  qboosh
- updated link patch, fixed build

Revision 1.27  2004/06/16 20:17:27  qboosh
- fixed md5, strict internal deps

Revision 1.26  2004/06/13 20:37:36  arekm
- updated to 2.3.4

Revision 1.25  2004/01/02 17:14:43  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.24  2003/12/27 16:23:16  jajcus
- libdir fix for AMD64

Revision 1.23  2003/12/12 10:05:56  arekm
- updated to 2.2.1

Revision 1.22  2003/11/29 16:25:09  arekm
- updated to 2.2.0

Revision 1.21  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.20  2003/10/09 15:22:28  qboosh
- up to 2.1.1, added link patch, s/e2fsprogs-devel/libuuid-devel/

Revision 1.19  2003/07/02 07:16:01  orzech
- up to 2.1.0

Revision 1.18  2003/05/29 19:58:54  orzech
- up to 2.0.1

Revision 1.17  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:47:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/10 07:40:18  misiek
- updated to 2.0.0

Revision 1.14  2003/02/18 06:52:45  orzech
- up to 1.9.0 - builds, not tested

Revision 1.13  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.12  2002/10/21 17:30:23  baggins
- up to 1.2.0

Revision 1.11  2002/08/24 16:14:53  misiek
- updated to 1.1.0 (requires kernel 2.4.19 or gigher)

Revision 1.10  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/09 12:59:01  misiek
- updated to 1.0.1

Revision 1.8  2002/04/25 16:16:14  arturs
fixed a small typo

Revision 1.7  2002/04/04 22:19:13  misiek
- updated to 1.0.0

Revision 1.6  2002/03/19 19:35:18  misiek
BR: glibc-static

Revision 1.5  2002/03/19 13:15:23  misiek
- fixed Groups
- use DESTDIR style
- move libs and modules to /lib
- release 2

Revision 1.4  2002/03/17 20:42:04  misiek
- updated to 0.9.2
- devel, static, ncurses (frontend) and X11 (gtk frontend) subpackages

Revision 1.3  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 09:21:44  qboosh
- adapte(rize)d to PLD

* Mon Jan 14 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.9.0 release.
- added evms_rediscover utility.

* Tue Dec 11 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.4 release.
- added text-mode UI, dev-node fixup program, new LVM utilities, MD region
  manager, and AIX region manager.

* Mon Nov 5 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.3 release.

* Fri Nov 2 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.2 release.

* Tue Oct 23 2001 Kevin Corry <corryk@us.ibm.com>
- added comments about requiring kernel patch and rebuild

* Sat Oct 20 2001 Kevin Corry <corryk@us.ibm.com>
- added OS/2 region manager library
- added more LVM-compatible utilities

* Thu Oct 11 2001 Kevin Corry <corryk@us.ibm.com>
- added new LVM-compatible utilities
- updated version numbers of all plugin libraries

* Tue Oct 9 2001 Hollis Blanchard <hollis@austin.ibm.com>
- added %post ldconfig (so the libevms.so symlink is created)
- removed BBR makefile patch
- autoconf before configure

* Sun Oct 7 2001 Hollis Blanchard <hollis@austin.ibm.com>
- initial spec
